<?php

// uninstall file for WP Auto Poster

if ( !defined( 'WP_UNINSTALL_PLUGIN' ) )
	exit();

if ( is_multisite() ) {
	global $wpdb;
	$blog_ids = $wpdb->get_col( "SELECT blog_id FROM {$wpdb->prefix}blogs" );
	
	if ( count ( $blog_ids ) >= 1 ) {
		foreach ( $blog_ids as $blog_id ) {
			switch_to_blog( $blog_id );
			delete_option( 'WpAutoPoster_Plugin' );
			delete_option( 'WpAutoPoster_Plugin-logs' );
			restore_current_blog();
		}
	}
} else {
	delete_option( 'WpAutoPoster_Plugin' );
	delete_option( 'WpAutoPoster_Plugin-logs' );
}

?>
